%define module_name String-InterpolatedVariables
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build.pm) perl(Readonly.pm) perl(Test/Deep.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.0
Release: alt1
Summary: Extract variable names from interpolated strings.
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/String-InterpolatedVariables

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AU/AUBERTG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
String::InterpolatedVariables offers a way to extract the name of the variables
that are present in interpolated strings.

This is particularly useful if you are using the PPI manpage to parse Perl documents,
and you want to know what variables would be interpolated inside the
the PPI::Token::Quote::Double manpage and the PPI::Token::Quote::Interpolate manpage objects you
find there. A practical example of this use can be found in
the Perl::Critic::Policy::ValuesAndExpressions::PreventSQLInjection manpage.


%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE ignore.txt Changes README.md example
%perl_vendor_privlib/S*

%changelog
* Fri Mar 24 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1
- regenerated from template by package builder

* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1
- regenerated from template by package builder

* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1
- regenerated from template by package builder

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1
- initial import by package builder

